<style>
    .baseSet_Title {
      width: 120px !important;
      padding: 18px 0 0 16px;
      text-align: right;
    }
   .cycleOrderList  .border-bottom {
        /* border-bottom: 1px dashed #EEE; */
        padding-bottom: 5px;
        margin-bottom: 5px;
    }
    .cycleOrderList  .text-bottom{
        height: 32px;line-height: 32px; margin-bottom: 10px;
    }
    .cycleOrderList ._icon_btn i.icon-sousuo {
    background-color: #47BF8C;
  }
    .cycleOrderList ._icon_btn i {
    width: 30px;
    height: 30px;
    display: inline-block;
    color: white !important;
    border-radius: 50%;
    text-align: center;
    line-height: 30px;
    margin-right: 10px;
    cursor: pointer;
    outline: none;
  }
 .cycleOrderList .el-table td,.el-table th{
    padding: 5px 0;
  }

  
  </style>
  <template>
    <div class="page-body cycleOrderList">
        <div class="page-search row items-center">
            <div class="col row wrap q-mr-lg q-col-gutter-md">
                <div class="col-3">
                    <q-select filled stack-label @input="getDepartList(msg.School_Id),resetSearch()" option-value="SId"
                      option-label="SName" v-model="msg.School_Id" ref="School_Id" :options="schoolList" label="校区"
                      :dense="false" emit-value map-options />
                </div>
                <div class="col-3">
                    <selectTree :treeData='DeptList' :defaultArray="returnString" nodeKey="DeptId" :multiple="false"
                      labelKey="DeptName" childrenKey="ChildList" tipText="选择部门" @getChild="getChild"></selectTree>
                </div>
                <q-select @input="resetSearch" filled stack-label option-value="Id" option-label="EmployeeName" use-input
                    v-model="msg.UserId" ref="DeptTier" :options="PersionList" label="销售" :dense="false"
                    class="col-3 q-pr-lg" emit-value map-options @filter="filterFn2"  >
                    <template v-slot:no-option>
                    <q-item>
                        <q-item-section class="text-grey">
                        未找到相关数据
                        </q-item-section>
                    </q-item>
                    </template>
                </q-select>
                <div class="col-3">
                    <q-select filled stack-label use-input input-debounce="0" option-value="Id" clearable @input="resetSearch()"
                      option-label="Name" v-model="msg.SourceId" :options="StudyAbroadList" label="留学/就业" :dense="false" emit-value
                      map-options @filter="filterFn">
                      <template v-slot:no-option>
                        <q-item>
                          <q-item-section class="text-grey">
                            未找到相关数据
                          </q-item-section>
                        </q-item>
                      </template>
                    </q-select>
                </div>
                
                
            </div>
            
        </div>
        <div class="page-search row items-center">
            <div class="col row wrap q-mr-lg q-col-gutter-md">
                <div class="col-3">
                    <q-select filled stack-label @input="resetSearch()" option-value="Id"
                      option-label="Name" v-model="msg.PeriodId"  :options="PeriodsList" label="周期"
                      :dense="false" emit-value map-options />
                </div>
                <div class="col-3">
                    <q-input filled v-model="msg.OrderId"  @keyup.enter.native="resetSearch()" label="订单号" />
                </div>
            </div>
        </div>
        <div class="page-search row items-center" style="justify-content: space-between;">
            <span style="font-size: 20px;font-weight: 400;">提成统计 <span style="font-size: 16px;">（提成总计：{{TotalCommission}}）</span> </span>
            <q-btn  color="primary" size="11px" label="导出" @click="tcexport" style="margin-left:10px"/>
        </div>
      <template >
        <el-table
            ref="filterTable"
            :data="tableData"
            v-loading = 'loading'

            :header-cell-style="{backgroundColor:'#f5f6f7', color: '#a8a8b3'}"
            border
            style="width: 100%">
            <el-table-column  prop="SchoolName" label="校区" width='150' ></el-table-column>
            <el-table-column  prop="DeptName" label="部门" ></el-table-column>
            <el-table-column  prop="UserName" label="销售" > </el-table-column>
            <el-table-column  prop="SourceName" label="项目名称" > </el-table-column>
            <el-table-column width='170' prop="ClassName" label="客人信息">
                <template slot-scope="scope">
                  <div v-if="scope.row.SourceType">类型: {{scope.row.SourceType==1?'留学':'就业'}}</div>
                  <div v-if="scope.row.StudentCount">客人数量:{{scope.row.StudentCount}}人</div>
                </template>
              </el-table-column>
           
            <el-table-column prop="OrderId" label="订单号" >
                <template slot-scope="scope">
                    <div style="cursor: pointer;text-decoration: underline;" @click="goUrlorderList('/sale/studyOrderStatistics',scope.row)">{{scope.row.OrderId}} </div>
                    
                 </template>
            </el-table-column>
            <el-table-column  prop="CommissionMoney" label="订单提成" > </el-table-column>
            <el-table-column  prop="OtherMoney" label="额外奖励" > </el-table-column>
            <el-table-column  prop="BackMoney" label="额外扣除" > </el-table-column>

       
            <el-table-column  prop="YFMoney" label="最终发放"> 
              <template slot-scope="scope">
                <div style="color: rgb(233, 82, 82);">{{scope.row.YFMoney}}</div>
                
              </template>
              
            </el-table-column>
            <el-table-column width='85' prop="Periods" label="期数"> </el-table-column>
            <el-table-column  prop="Remark"  width='160' label="备注"> </el-table-column>
        </el-table>
        <div style="margin-top: 10px;text-align: center;">
            <el-pagination background @current-change="handleCurrentChanges" layout="total,prev, pager, next, jumper" :current-page.sync="msg.PageIndex"
              :page-size="msg.PageSize" :total='total'>
            </el-pagination>
          </div>
      </template>
      
    </div>
  </template>
  <script>
    import {
        getSchoolDropdown
    } from '../../../api/school/index'
    import {
        queryEmployee
    } from '../../../api/users/user'
    import {
        getDeptTree
    } from '../../../api/system/dept.js'
   
    import{
        getSellStudyAbroadStatistics,
        getSellStudyAbroadPeriodsList
    } from '../../../api/finance/index'
    import {
      getClassDropDownList,
    } from "../../../api/school/index";
    import selectTree from '../../../components/common/select-tree'
    import {
        EduDownLoad,
    } from '../../../api/common/common';
    import {
    queryStudyAbroadPage
  } from '../../../api/studyabroad/index'
    export default {
      meta: {
        title: "留学提成统计"
      },
      props: {},
      components: {
        selectTree
      },
      data() {
        return {
          loading: false,
          //列表数据参数
          msg: {
            PageIndex:1,
            PageSize:10,
            School_Id:'-1',
            Depart_Id:0,
            PeriodId: 0,
            UserId: 0,
            SourceId:'-1',
            OrderId:'',
          },
          pageCount: 0,
          persistent: false,
          listData:{},
          tableData:[],
          total:0,
          company:[],
          department:[],
          ClassList:[],
          allClassList:[],
          returnString: [], //默认岗位
          see_tcdetailed:false,
          schoolList:[],
          DeptList: [], // 部门下拉
          PersionList: [], //员工列表
          AllemployeeList: [], //所有员工
          PeriodsList:[],//周期列表
          TotalCommission:0,
          StudyAbroadList: [],
          allStudyAbroadList: [],
        }
      },
      created() {
        let userinfo = this.getLocalStorage();
        userinfo.ActionMenuList.map(x=>{//判断权限
          if(x.FunctionCode == "see_tcdetailed"){//判断是否可以查看其他明细
            this.see_tcdetailed = true;
          }
        })
        if(this.see_tcdetailed == false){
          this.msg.UserId = userinfo.Id
        }
      },
      mounted() {
        if(this.$route.query && this.$route.query.OrderId){
          this.msg.OrderId = this.$route.query.OrderId
        }
 
        this.getList()
        this.getStudyAbroad()
        this.getBranchList()
        this.getDepartList(0);
        this.getEmployee();
        this.getPeriodList()


      },
      methods: {
        resetSearch() {
            this.msg.PageIndex = 1;
            this.getList()
        },
        getList(){
          if(this.msg)
            this.loading = true;
            if(this.msg.SourceId==''|| this.msg.SourceId==null){
              this.msg.SourceId='-1'
            }
            getSellStudyAbroadStatistics(this.msg).then(res => {
            if (res.Code == 1) {
              this.loading = false;

              this.tableData = res.Data.PageData.List
              this.TotalCommission = res.Data.PageData.TotalCommission
              this.total = res.Data.Count
            
            }
          })
        },
        unique(arr,Name){//数组去重
			    const res = new Map();
          return arr.filter(
            (list) => !res.has(list.text) && res.set(list.text, 1)
          );
		},
        handleCurrentChanges(val){
          this.msg.PageIndex= val;
          this.getList()
        },
        getStudyAbroad() {
          let msg  ={
            pageIndex: 0,
            pageSize: 9000,
            Name: "",
            IsQPrice: 1,
            Type: -1, //项目类型
            SaleState: 3, //已上架
          }
          queryStudyAbroadPage(msg).then(res => {
              let data = res.Data.PageData
              let obj = {
                Name:'不限',
                Id:'-1'
              }
              data.unshift(obj)

              this.StudyAbroadList = data;
              this.allStudyAbroadList = JSON.parse(JSON.stringify(data))
            })
            .catch(() => {
            });
        },
        filterFn(val, update) {
          update(() => {
            if (val === '') {
              this.StudyAbroadList = JSON.parse(JSON.stringify(this.allStudyAbroadList))
            } else {
              const needle = val.toLowerCase()
              this.StudyAbroadList = this.allStudyAbroadList.filter(v => v.Name.toLowerCase().indexOf(needle) > -1)
            }
          })
        },
        getBranchList(){//获取校区
          getSchoolDropdown({}).then(res => {
            this.schoolList = res.Data;
            var obj = {
                SName: '全部',
                SId: '-1'
            }
            this.schoolList.unshift(obj);
          }).catch(() => {

          })
        },
        //获取部门下拉数据
        getDepartList(id) {
            if(id==-1){
                id = 0
            }
            let msg = {
                School_Id: id
            }
            getDeptTree(msg).then(res => {
                if (res.Code == 1) {
                    this.DeptList = res.Data;
                }
            })
        },
        getChild(deptArray) {
            var tempStr = "";
            if (deptArray && deptArray != '') {
            tempStr = deptArray;
            }
            if (tempStr) {
            this.msg.Depart_Id = tempStr;
            } else {
            this.msg.Depart_Id = 0;
            }
            this.resetSearch();
        },
          //筛选员工
        filterFn2(val, update) {
            update(() => {
            if (val === '') {
                this.PersionList = JSON.parse(JSON.stringify(this.AllemployeeList))
            } else {
                const needle = val.toLowerCase()
                this.PersionList = this.AllemployeeList.filter(v => v.EmployeeName.toLowerCase().indexOf(needle) > -1)
            }
            })
        },
        //获取员工列表
        getEmployee() {
            var qMsg = {
                EmployeeName: ""
            }
            queryEmployee(qMsg).then(res => {
                if (res.Code == 1) {
                    let obj = {
                    EmployeeName: '不限',
                    Id: 0
                    }
                    res.Data.unshift(obj)
                    var jsonData = res.Data;
                    if (jsonData && jsonData.length > 0) {
                    this.AllemployeeList = JSON.parse(JSON.stringify(jsonData));
                    this.PersionList = JSON.parse(JSON.stringify(jsonData));;
                    }
                }
            })
        },
        getPeriodList(){//获取周期下拉列表
            getSellStudyAbroadPeriodsList({}).then(res => {
                if (res.Code == 1) {
                   this.PeriodsList  = res.Data 
                   let obj = {
                        Name: '不限',
                        Id: 0
                    }
                    this.PeriodsList.unshift(obj)
                    

                }
            })
        },
        tcexport(){//导出
            var msg = JSON.parse(JSON.stringify(this.msg));
            EduDownLoad("/SellCommission/GetSellStudyAbroadStatisticsToExcel", msg, "留学提成统计.xls")
        },
        goUrlclass(path,Names){//班级
          let Name = encodeURI(Names)
          this.OpenNewUrl(path, {
            ClassName: Name,
          });
        },
        goUrlorderList(path,row){//订单跳转
          this.OpenNewUrl(path, {
            OrderId: row.OrderId,
            // EnterID:row.UserId
          });
        },
      },
    }
  
  </script>
  <style lang="sass">
    @import url('~assets/css/table.sass')
  
  </style>
  